    One-dimensional exponential function, base 10.

exp10
>>> create_model_component("exp10", "mdl")
>>> print(mdl)

Create a component of the exp10 model and display its default parameters. The output is:

mdl Param Type Value Min Max Units ----- ---- ----- --- --- ----- mdl.offset thawed 0 -3.40282e+38 3.40282e+38 mdl.coeff thawed -1 -3.40282e+38 3.40282e+38 mdl.ampl thawed 1 0 3.40282e+38

ATTRIBUTES

The attributes for this object are:

Attribute
Definition
offset
The offset of the model.
coeff
The scaling factor.
ampl
The amplitude of the model.

Notes

The functional form of the model for points is:

f(x) = ampl * 10^(coeff * (x - offset))

and for an integrated grid it is the integral of this over the bin.

See the bugs pages on the Sherpa website for an up-to-date listing of known bugs.

December 2023